Subject: Re: [RFC PATCH] net, tun: remove the flow cache

From: Zhi Yong Wu <[email-masked]>
Date: Tue, 17 Dec 2013 16:13:58 +0800

On Mon, 2013-12-16 at 23:47 -0800, Stephen Hemminger wrote:
> On Tue, 17 Dec 2013 15:26:22 +0800
> Zhi Yong Wu <[email-masked]> wrote:
> 
> > From: Zhi Yong Wu <[email-masked]>
> > 
> > The flow cache is an extremely broken concept, and it usually brings up
> > growth issues and DoS attacks, so this patch is trying to remove it from
> > the tuntap driver, and insteadly use a simpler way for its flow control.
> > 
> > Signed-off-by: Zhi Yong Wu <[email-masked]>
> > ---
> >  drivers/net/tun.c |  208 +++--------------------------------------------------
> >  1 files changed, 10 insertions(+), 198 deletions(-)
> > 
> > diff --git a/drivers/net/tun.c b/drivers/net/tun.c
> > index 7c8343a..7c27fdc 100644
> > --- a/drivers/net/tun.c
> > +++ b/drivers/net/tun.c
> > @@ -32,12 +32,15 @@
> >   *
> >   *  Daniel Podlejski <[email-masked]>
> >   *    Modifications for 2.3.99-pre5 kernel.
> > + *
> > + *  Zhi Yong Wu <[email-masked]>
> > + *    Remove the flow cache.
> >   */
> 
> I agree with your patch, but please don't add to the comment changelog.
> These are all historical. The kernel development process has not used
> them for 5+ years.
> 
> Can we get kernel janitors to just remove them, or would that step
> on too many early developers toes by removing credit?
I thought that it is a big code change, and need to add some changelog
for this, but you seem to have a big argue. :) I don't object to
removing my comment in its changelog if other guys also agree with you.

-- 
Regards,

Zhi Yong Wu